Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyProgramElementDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

All Implemented Interfaces:
  GroovyProgramElementDoc

    public class SimpleGroovyProgramElementDoc
    extends SimpleGroovyDoc

Constructor Summary
`SimpleGroovyProgramElementDoc(java.lang.String name)`

Method Summary
`void` | `addAnnotationRef(GroovyAnnotationRef ref)`
`GroovyAnnotationRef[]` | `annotations()`
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`int` | `modifierSpecifier()`
`java.lang.String` | `modifiers()`
`java.lang.String` | `qualifiedName()`
`void` | `setContainingPackage(GroovyPackageDoc packageDoc)`
`void` | `setFinal(boolean b)`
`void` | `setPackagePrivate(boolean b)`
`void` | `setPrivate(boolean b)`
`void` | `setProtected(boolean b)`
`void` | `setPublic(boolean b)`
`void` | `setStatic(boolean b)`

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyProgramElementDoc

    public SimpleGroovyProgramElementDoc(java.lang.String name)

Method Detail

### addAnnotationRef

    public void addAnnotationRef(GroovyAnnotationRef ref)

### annotations

    public GroovyAnnotationRef[] annotations()

### containingClass

    public GroovyClassDoc containingClass()

### containingPackage

    public GroovyPackageDoc containingPackage()

### isFinal

    public boolean isFinal()

### isPackagePrivate

    public boolean isPackagePrivate()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### modifierSpecifier

    public int modifierSpecifier()

### modifiers

    public java.lang.String modifiers()

### qualifiedName

    public java.lang.String qualifiedName()

### setContainingPackage

    public void setContainingPackage(GroovyPackageDoc packageDoc)

### setFinal

    public void setFinal(boolean b)

### setPackagePrivate

    public void setPackagePrivate(boolean b)

### setPrivate

    public void setPrivate(boolean b)

### setProtected

    public void setProtected(boolean b)

### setPublic

    public void setPublic(boolean b)

### setStatic

    public void setStatic(boolean b)

Groovy Documentation